function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, PrimaryColumn, Index, Column, ManyToOne, JoinColumn } from "typeorm";
import { User } from "./user.js";
import { App } from "./app.js";
import { id } from "../id.js";
export let AuthSession = class AuthSession {
    id;
    createdAt;
    token;
    userId;
    user;
    appId;
    app;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], AuthSession.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the AuthSession."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], AuthSession.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], AuthSession.prototype, "token", void 0);
_ts_decorate([
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], AuthSession.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE",
        nullable: true
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], AuthSession.prototype, "user", void 0);
_ts_decorate([
    Column(id()),
    _ts_metadata("design:type", Object)
], AuthSession.prototype, "appId", void 0);
_ts_decorate([
    ManyToOne((type)=>App, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], AuthSession.prototype, "app", void 0);
AuthSession = _ts_decorate([
    Entity()
], AuthSession);
